rio_hw_get_inb_message
Prev | PPC32 support | Next

## Name

rio_hw_get_inb_message — Fetch inbound message from the MPC85xx message unit

## Synopsis

`void * rio_hw_get_inb_message (` | struct rio_mport * | mport,
| int | mbox`)`;

## Arguments

`mport`

  Master port implementing the inbound message unit

`mbox`

  Inbound mailbox number

## Description

Gets the next available inbound message from the inbound message queue. A pointer to the message is returned on success or NULL on failure.

Prev | Up | Next
rio_hw_add_inb_buffer | Home | mpc85xx_rio_doorbell_send